Subject: Re: [PATCH net-next] net: airoha: select QDMA block according LAN/WAN configuration

From: Simon Horman <[email-masked]>
Date: Fri, 13 Mar 2026 14:30:18 +0000

On Fri, Mar 13, 2026 at 12:35:16PM +0100, Lorenzo Bianconi wrote:
> > On Thu, 12 Mar 2026 22:14:36 +0100 Lorenzo Bianconi wrote:
> > > > Is this a bug fix?
> > > > If so, perhaps it is for net with a fixes tag.  
> > > 
> > > I guess we do not need to target net tree since airoha_eth driver currently
> > > supports just the LAN interface via the MT7530 DSA switch connected to GDM1
> > > and there are no WAN interfaces officially supported (PCS/external phy is not
> > > merged mainline yet, it is only available in OpenWrt).
> > > 
> > > > 
> > > > And at any rate, could you add some description of the before and after
> > > > behaviour?  
> > > 
> > > Theoretically, before this patch, GDM ports were equally distributed between
> > > QDMA0 and QDMA1 while this patch assigns LAN interfaces to QDMA0 and WAN
> > > interface to QDMA1. However, for the reason explained above, this change is
> > > not currently visible to the user.
> > 
> > Please update the commit message. And please try harder to explain 
> > the patches, this happens a lot with your submissions..
> 
> ack, fine. Sorry for not beeing very clear about this (and other
> patches), I will pay more attention in the future.
> Do you think we should target net-next or net for this patch?

Hi Lorenzo,

As per your explanation above it seems to me that there is
no user-visible change. And I assume that implies no bug manifests.

If so, net-next sounds right to me.